"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = require("./API/index.js");
class BMKG {
    /**
     * Mengambil data gempa yang terakhir terjadi.
     *
     * @returns {Promise<AutoGempa>} Object data gempa yang terakhir terjadi.
     */
    autoGempa() {
        return (0, index_js_1.autoGempa)();
    }
    /**
     * Mengambil list data gempa yang dirasakan.
     *
     * @returns {Promise<GempaDirasakan[]>} Array object list gempa yang dirasakan.
     */
    gempaDirasakan() {
        return (0, index_js_1.gempaDirasakan)();
    }
    /**
     * Mengambil list data gempa terkini.
     *
     * @returns {Promise<GempaTerkini[]>} Array object list gempa terkini.
     */
    gempaTerkini() {
        return (0, index_js_1.gempaTerkini)();
    }
}
exports.default = BMKG;
//# sourceMappingURL=index.js.map