import { autoGempa, gempaDirasakan, gempaTerkini } from './API/index.js';
export default class BMKG {
    /**
     * Mengambil data gempa yang terakhir terjadi.
     *
     * @returns {Promise<AutoGempa>} Object data gempa yang terakhir terjadi.
     */
    autoGempa() {
        return autoGempa();
    }
    /**
     * Mengambil list data gempa yang dirasakan.
     *
     * @returns {Promise<GempaDirasakan[]>} Array object list gempa yang dirasakan.
     */
    gempaDirasakan() {
        return gempaDirasakan();
    }
    /**
     * Mengambil list data gempa terkini.
     *
     * @returns {Promise<GempaTerkini[]>} Array object list gempa terkini.
     */
    gempaTerkini() {
        return gempaTerkini();
    }
}
//# sourceMappingURL=index.js.map